<span style="display:none;">{{head-title 'Helpbuttons - Perfil de ' currentUser.nickname}}</span>
<div class="bg-primary index__mobile-fixed">
  {{component-header
    searchAction=(action 'searchByAddress')
    isShowingModal=isShowingModal
    isMyButtonsRoute=true
    showBackBtn=true
    toggleSelectedTagAction=(action 'toggleSelectedTag')
    buttonNet=buttonNet
  }}

  {{#search-topbar
    resultsNumber=buttonsToShow.length
    isMine=true
    showPulsedButtons=showPulsedButtons
  }}
    {{#each selectedTags as |tag|}}
      <span class="hashtag hashtag--white">
        {{tag.name}}
        <a class="mx-1" href="#" {{action 'toggleSelectedTag' tag}} title="Eliminar">{{svg-jar "cross"}}</a>
      </span>
    {{/each}}
  {{/search-topbar}}
  {{#unless isSmallDevice}}
  <div class="row">
    <div id="pulsedCreated" class="col-6 px-0">
      <div class="checkbox">
        <label class="checkbox__label mb-0" {{action 'setPulsedButtonsFilter' false}}>
          {{input type="checkbox" checked=(unless showPulsedButtons true false) class="checkbox__checkbox"}}
          <div class="checkbox__content profile-buttons__checkbox">
            <div class="checkbox__text">
              CREADOS
            </div>
          </div>
        </label>
      </div>
    </div>
    <div class="col-6 px-0">
      <div class="checkbox">
        <label class="checkbox__label mb-0" {{action 'setPulsedButtonsFilter' true}}>
          {{input type="checkbox" checked=showPulsedButtons  class="checkbox__checkbox"}}
          <div class="checkbox__content profile-buttons__checkbox">
            <div class="checkbox__text">
              PULSADOS
            </div>
          </div>
        </label>
      </div>
    </div>
  </div>
  {{/unless}}
  {{#buttons-filters
    buttons=buttons
    buttonsFiltered=buttonsFiltered
    selectedTags=selectedTags
    searchAction=(action 'searchByAddress')
    isShowingModal=isShowingModal
    hideMapLink=true
    isProfileList=true
    resetFilters=resetFilters
    id="filters"
    updateSelectedTagsAction=(action 'updateSelectedTags')
    toggleSelectedTagAction=(action 'toggleSelectedTag')
  }}
  {{/buttons-filters}}
</div>
<div style={{asideBodyStyles}} class="container-fluid profile-buttons index__container-profile">
  <div class="row justify-content-center">
    <div class="profile-buttons__avatar col-12 col-lg-3 mb-0">
      {{#if isSmallDevice}}
        <div class="row">
          <div class="col-auto">
            <figure class="ml-auto profile-card__avatar-container">
              {{#if currentUser.hasAvatar}}
                <img src={{avatar.smallThumb}} alt="Avatar" class="profile-card__avatar-container-img">
              {{else}}
                {{svg-jar 'profile_def' class="bg-primary profile-card__avatar-container-icon picture__img"}}
              {{/if}}
            </figure>
          </div>
          <div class="col">
            <div class="profile-card__avatar-container-name text-left">
              {{currentUser.nickname}}
            </div>
            <figure class="profile-card__rating text-left m-0">
              <p class="paragraph text-left">
                {{currentUser.blockedBy.length}}
              </p>
              <div class="paragraph text-left">
                {{svg-jar "forbid" class=(unless button.isMine "fill-icon")}}
              </div>
              <div class="paragraph text-left ml-4">
                {{currentUser.ownedButtonsCounter}}
              </div>
              <div class="paragraph text-left ml-1">
                {{svg-jar "chat_black" class=(unless button.isMine "fill-icon")}}
              </div>
              <div class="paragraph text-left ml-4">
                {{currentUser.likes}}
              </div>
              <div class="paragraph text-left ml-1">
                {{svg-jar "like" class=(unless button.isMine "fill-icon")}}
              </div>
            </figure>
            <p class="paragraph text-left">
              {{currentUser.description}}
            </p>
            {{#if currentUser.showPhone}}{{#if currentUser.phone}}
              <p class="paragraph text-left">
                Tlf: {{currentUser.phone}}
              </p>
            {{/if}}{{/if}}
          </div>
          <div class="col-12">
            <p>
              {{#each currentUser.userTags as |tag|}}
                {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag hashtag--yellow"}}{{tag.name}}{{/link-to}}
              {{/each}}
            </p>
          </div>
          <div class="col-12">
          {{#link-to 'button-net.profile-edition'}}
              <p class="col-12 ember-view profile-buttons__edit-button mb-3">
                Editar perfil
              </p>
          {{/link-to}}
          </div>
          <div class="col-12 ">
            {{#promise-button
              type="submit"
              class=(if currentUser.active "profile-buttons__toggle-button profile-buttons__toggle-button--corporative-bg mb-3" "profile-buttons__toggle-button mb-3")
              btnAction=(action 'toggleProfileState')
              hideContentOnLoading=true
            }}
              {{svg-jar "switch" class="icon"}}
            {{/promise-button}}
          </div>
        </div>
      {{else}}
        <div class="row justify-content-center">
          <div class="col-12">
            <figure class="mx-auto profile-card__avatar-container">
              {{#if currentUser.hasAvatar}}
                <img src={{avatar.smallThumb}} alt="Avatar" class="profile-card__avatar-container-img">
              {{else}}
                {{svg-jar 'profile_def' class="bg-primary profile-card__avatar-container-icon picture__img"}}
              {{/if}}
            </figure>
          </div>
          <div class="col-12">
              <div class="profile-card__avatar-container-name">
                {{currentUser.nickname}}
              </div>
              <figure class="profile-card__rating">
                <p class="paragraph text-left">
                  {{currentUser.blockedBy.length}}
                </p>
                <div class="paragraph text-left">
                  {{svg-jar "forbid" class=(unless button.isMine "fill-icon")}}
                </div>
                <div class="paragraph text-left ml-4">
                  {{currentUser.ownedButtonsCounter}}
                </div>
                <div class="paragraph text-left ml-1">
                  {{svg-jar "chat_black" class=(unless button.isMine "fill-icon")}}
                </div>
                <div class="paragraph text-left ml-4">
                  {{currentUser.likes}}
                </div>
                <div class="paragraph text-left ml-1">
                  {{svg-jar "like" class=(unless button.isMine "fill-icon")}}
                </div>
              </figure>
              <p class="profile-card__location">
                {{#if hasLocation}}
                  {{svg-jar "place_black" class="svg-icon"}}
                {{/if}}
                {{locationAndLanguages}}
              </p>
          </div>
          <div class="col-12">
              <p class="paragraph">
                {{currentUser.description}}
              </p>
              {{#if currentUser.showPhone}}{{#if currentUser.phone}}
                <p class="paragraph text-left">
                  Tlf: {{currentUser.phone}}
                </p>
              {{/if}}{{/if}}
              <p>
                {{#each currentUser.userTags as |tag|}}
                  {{#link-to 'button-net.index.index' (query-params searchTags=tag.name) class="hashtag hashtag--yellow"}}{{tag.name}}{{/link-to}}
                {{/each}}
              </p>
          </div>
        </div>
        <div class="row justify-content-center">
          <div class="col-12">
          {{#link-to 'button-net.profile-edition'}}
              <p class="col-12 ember-view profile-buttons__edit-button mb-3">
                Editar perfil
              </p>
          {{/link-to}}
        </div>
          <div class="col-12">
            {{#promise-button
              type="submit"
              class=(if currentUser.active "profile-buttons__toggle-button profile-buttons__toggle-button--corporative-bg mb-3" "profile-buttons__toggle-button mb-3")
              btnAction=(action 'toggleProfileState')
              hideContentOnLoading=true
            }}
              {{svg-jar "switch" class="icon"}}
            {{/promise-button}}
          </div>

        </div>
      {{/if}}
    </div>
    <div class="profile-buttons__list col-12 col-lg-8">
      {{#each buttonsToShow as |button|}}
        {{!-- <a href="#" class="profile-buttons__list-link" {{action 'selectButton' button}}> --}}
        {{#link-to 'button-net.profile.button.index' button.id class="profile-buttons__list-link"}}
          {{button-card
            routeType="userList"
            button=button
            creator=button.creator
            creatorAvatar=button.creator.avatar
            isList=true
          }}
        {{/link-to}}
        {{!-- </a> --}}
      {{else}}
        <p class="label text-center">No tienes botones por aquí</p>
      {{/each}}
    </div>
  </div>
  {{#if isSmallDevice}}
    <div class="row">
      <div class="profile-buttons__bottom-btns">
        <button class="button-sample border-0 {{if showPulsedButtons "" "profile-buttons__filters-selected"}}" {{action 'setPulsedButtonsFilter' false}} type="button" name="button">
          Creados
        </button>
        <button class="button-sample border-0 {{if showPulsedButtons "profile-buttons__filters-selected"}} profile-buttons__left-button" {{action 'setPulsedButtonsFilter' true}} type="button" name="button">
          Pulsados
        </button>
      </div>
    </div>
  {{/if}}
</div>
{{outlet}}
